自动化测试框架Selenium的使用——错误“Selenium support for PhantomJS has been deprecated, please use...”问题的解决

版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/dongdong9223/article/details/82774762

转载请注明出处:http://blog.csdn.net/dongdong9223/article/details/82774762
本文出自【我是干勾鱼的博客

Ingredient:

使用Selenium+PhantomJS实现一个下拉滚动条的功能,总是出不来效果,注意到终端输出了一个警告:

/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/selenium/webdriver/phantomjs/webdriver.py:49: UserWarning: Selenium support for PhantomJS has been deprecated, please use headless versions of Chrome or Firefox instead
warnings.warn('Selenium support for PhantomJS has been deprecated, please use headless ’

仔细一看才发现,竟然是Selenium已经不支持PhantomJS了,而是建议使用Chrome或Firefox的headless版本!换Chrome或Firefox吧!

参考:

震惊!Selenium分手PhantomJS

阅读更多
换一批

没有更多推荐了,返回首页